#ifndef FMP_EPAY_PLUGIN_P_H
#define FMP_EPAY_PLUGIN_P_H

#include <ctkPluginActivator.h>

class FMPePay;

class FMPePayPlugin : public QObject, public ctkPluginActivator
{
  Q_OBJECT
  Q_INTERFACES(ctkPluginActivator)
#if (QT_VERSION > QT_VERSION_CHECK(5,0,0))
  Q_PLUGIN_METADATA(IID "com_fmp_epay")
#endif

public:
  explicit      FMPePayPlugin();

  void          start(ctkPluginContext* context);
  void          stop(ctkPluginContext* context);

private:

  FMPePay*      _epay_service;

}; // FMPePayPlugin

#endif // FMP_EPAY_PLUGIN_P_H
